Add plugin with different zips for different versions of IDEA to plugin repo?

I'm finally ready to add my custom language plugin for Salesforce.com development to the plugin repository but have hit a snag.  For better or worse, to support three major versions of IDEA--12, 13, and 14--I'm having to create three distinct plugin archives.  The plugin.xml for each specifies the correct version range to prevent trying to install the wrong distribution.  Unfortunately I can't figure out how to host all three of these in the official plugin repo.  When I upload the archive for IDEA 14, all goes well, but then if I try to upload the one for IDEA 12 or 13 it says the plugin with that version already exists.  I guess that makes sense since the three plugins all have the same plugin ID, but it leaves me stuck on how best to do this.  Do I just have each distribution have its own ID and maintain three separate plugins in the repo?

For what it's worth, I tried very hard to make this work in a single archive, but so much has changed in the plugin SDK between IDEA 12 and 14, particularly for custom language plugins, that doing so would be tremendously difficult.  Trust me...I'd LOVE to have a single distribution that just worked across all three major versions of IDEA, but right now this is very much the path of least resistance.

Thanks in advance for any thoughts!

3 comments
Comment actions Permalink

There's no need to assign different IDs to the plugins. It's enough to have a distinct suffix for the version ("0.1-idea12", "0.1-idea14" etc.)

0
Comment actions Permalink

Yeah, that makes total sense.  Let me see if I can make that adjustment quickly and get all three versions uploaded!  I'll mark this question as answered shortly.

0
Comment actions Permalink

Yup, that did it! Thanks so much for the quick and useful info!

0

Please sign in to leave a comment.